## ros-lunar-calibration-msgs 0.10.14

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(calibration_msgs)

find_package(catkin REQUIRED genmsg geometry_msgs sensor_msgs std_msgs)

add_message_files(DIRECTORY msg
                  FILES CalibrationPattern.msg
                        CameraMeasurement.msg
                        ChainMeasurement.msg
                        DenseLaserObjectFeatures.msg
                        DenseLaserPoint.msg
                        DenseLaserSnapshot.msg
                        Interval.msg
                        IntervalStamped.msg
                        IntervalStatus.msg
                        JointStateCalibrationPattern.msg
                        LaserMeasurement.msg
                        RobotMeasurement.msg
)

generate_messages(DEPENDENCIES geometry_msgs sensor_msgs std_msgs)

catkin_package(DEPENDS geometry_msgs sensor_msgs std_msgs)

=== debian/changelog ===
ros-lunar-calibration-msgs (0.10.14-0xenial) xenial; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 15 Apr 2016 22:00:00 -0000

ros-lunar-calibration-msgs (0.10.13-0xenial) xenial; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 20 Dec 2014 23:00:00 -0000

ros-lunar-calibration-msgs (0.10.12-0xenial) xenial; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 20 Sep 2014 22:00:00 -0000

ros-lunar-calibration-msgs (0.10.11-0xenial) xenial; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 19 Sep 2014 22:00:00 -0000

ros-lunar-calibration-msgs (0.10.10-0xenial) xenial; urgency=high

  * Export architecture_independent flag in package.xml
  * Contributors: Scott K Logan

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 05 May 2014 22:00:00 -0000

ros-lunar-calibration-msgs (0.10.9-0xenial) xenial; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 08 Apr 2014 22:00:00 -0000

ros-lunar-calibration-msgs (0.10.8-0xenial) xenial; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 06 Mar 2014 23:00:00 -0000

=== debian/control ===
Source: ros-lunar-calibration-msgs
Section: misc
Priority: extra
Maintainer: Vincent Rabaud <vincent.rabaud@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin, ros-lunar-geometry-msgs, ros-lunar-message-generation, ros-lunar-sensor-msgs, ros-lunar-std-msgs
Homepage: http://www.ros.org/wiki/calibration_msgs
Standards-Version: 3.9.2

Package: ros-lunar-calibration-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-geometry-msgs, ros-lunar-message-runtime, ros-lunar-sensor-msgs, ros-lunar-std-msgs
Description: This package defines messages for storing calibration samples to be used in full robot calibration procedures.
 This package is still unstable. Expect the messages to change.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-calibration-msgs//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
